// from \include\uapi\linux\hdlc\ioctl.h

type
  raw_hdlc_proto = record
	  encoding: cushort;
  	parity:   cushort;
  end;
  Traw_hdlc_proto = raw_hdlc_proto;
  Praw_hdlc_proto = ^raw_hdlc_proto;

	cisco_proto = record
		interval: cuint;
		timeout:  cuint;
	end;
	Tcisco_proto = cisco_proto;
	Pcisco_proto = ^cisco_proto;

	fr_proto = record
		t391: cuint;
		t392: cuint;
		n391: cuint;
		n392: cuint;
		n393: cuint;
		lmi:  cushort;
		dce:  cushort;	 (* 1 for DCE (network side) operation *)
	end;
	Tfr_proto = fr_proto;
	Pfr_proto = ^fr_proto;

	fr_proto_pvc = record (* for creating/deleting FR PVCs *)
		dlci: cuint;
	end;
	Tfr_proto_pvc = fr_proto_pvc;
	Pfr_proto_pvc = ^fr_proto_pvc;

	fr_proto_pvc_info = record (* for returning PVC information only *)
		dlci:   cuint;
    master: array[0..(IFNAMSIZ)-1] of char; (* Name of master FRAD device *)
	end;
	Tfr_proto_pvc_info = fr_proto_pvc_info;
	Pfr_proto_pvc_info = ^fr_proto_pvc_info;

	x25_hdlc_proto = record
		dce:    cushort; (* 1 for DCE (network side) operation *)
		modulo: cuint;	 (* modulo (8 = basic / 128 = extended) *)
		window: cuint;	 (* frame window size *)
		t1:     cuint;	 (* timeout t1 *)
		t2:     cuint;	 (* timeout t2 *)
		n2:     cuint;	 (* frame retry counter *)
	end;
	Tx25_hdlc_proto = x25_hdlc_proto;
	Px25_hdlc_proto = ^x25_hdlc_proto;

	sync_serial_settings = record (* V.35, V.24, X.21 *)
		clock_rate: cuint;	 (* bits per second *)
	  clock_type: cuint;   (* internal, external, TX-internal etc. *)
    loopback:   cushort;
	end;
	Tsync_serial_settings = sync_serial_settings;
	Psync_serial_settings = ^sync_serial_settings;

	te1_settings = record (* T1, E1 *)
		clock_rate: cuint;	 (* bits per second *)
	  clock_type: cuint;   (* internal, external, TX-internal etc. *)
    loopback:   cushort;
		slot_map:   cuint;
	end;
	Tte1_settings = te1_settings;
	Pte1_settings = ^te1_settings;

